Index: doc/options.txt
===================================================================
--- doc/options.txt	(revision 4304)
+++ doc/options.txt	(working copy)
@@ -268,6 +268,9 @@
 <p>
 If the street is not given with addr:housenumber, mkgmap uses heuristics
 to find the best match.
+<p>
+Tells mkgmap to write NET data. If you specify this option, you do not need to 
+specify --net and option -no-net is ignored.
 
 === Overview map options ===
 ;--overview-mapname=name
@@ -523,13 +526,13 @@
 <p>     
 ;--net
 : 	Tells mkgmap to write NET data, which is needed for address search
-and routing. Use this option if you want full address search, but do
-not need a map that supports routing.
+and routing. Use this option if you want street search, but do
+not need a map that supports routing or address search.
 <p>                                                            
 ;--route
 : 	Tells mkgmap to write NET and NOD data, which are needed in maps 
 that support routing. If you specify this option, you do not need
-to specify --net.
+to specify --net and --no-net is ignored.
 <p>
 ;--add-boundary-nodes-at-admin-boundaries=NUM	
 : 	This option controls how mkgmap calculates special routing nodes which
Index: resources/help/en/options
===================================================================
--- resources/help/en/options	(revision 4304)
+++ resources/help/en/options	(working copy)
@@ -261,6 +261,8 @@
 	the addr:street tag value of the house number node.
 	If the street is not given with addr:housenumber, mkgmap uses heuristics
 	to find the best match.
+	Tells mkgmap to write NET data. If you specify this option, you do not need
+	to specify --net and option -no-net is ignored.
 
 Overview map options:
 --overview-mapname=name
@@ -515,14 +517,14 @@
 	will ask you to try a value for this option.
 
 --net
-	Tells mkgmap to write NET data, which is needed for address search  
-	and routing. Use this option if you want full address search, but do
-	not need a map that supports routing.
+	Tells mkgmap to write NET data, which is needed for address search
+	and routing. Use this option if you want street search, but do
+	not need a map that supports routing or address search.
 
 --route
 	Tells mkgmap to write NET and NOD data, which are needed in maps 
 	that support routing. If you specify this option, you do not need
-	to specify --net.
+	to specify --net and option -no-net is ignored.
 
 --drive-on=left|right|detect|detect,left|detect,right
 	Explicitly specify which side of the road vehicles are
Index: src/uk/me/parabola/imgfmt/app/map/Map.java
===================================================================
--- src/uk/me/parabola/imgfmt/app/map/Map.java	(revision 4304)
+++ src/uk/me/parabola/imgfmt/app/map/Map.java	(working copy)
@@ -121,11 +121,11 @@
 		// we don't want routing info in the overview map (for now)
 		if (!OverviewBuilder.isOverviewImg(mapName)){
 			try {
+				if (props.containsKey("route") || props.containsKey("net") || props.containsKey("housenumbers")) {
+					addNet();
+				} 
 				if (props.containsKey("route")) {
-					addNet();
 					addNod();
-				} else if (props.containsKey("net")) {
-					addNet();
 				} 
 			} catch (FileExistsException e) {
 				log.warn("Could not add NET and/or NOD sections");
